# OpalMediaOptionString Class Reference

`#include <mediafmt.h>`

Inheritance diagram for OpalMediaOptionString:

[legend]
Collaboration diagram for OpalMediaOptionString:
[legend]

## Public Member Functions

| OpalMediaOptionString (const char *name, bool readOnly)
| OpalMediaOptionString (const char *name, bool readOnly, const PString &value)
virtual PObject * | Clone () const
virtual void | PrintOn (ostream &strm) const
virtual void | ReadFrom (istream &strm)
virtual bool | Merge (const OpalMediaOption &option)
virtual Comparison | CompareValue (const OpalMediaOption &option) const
virtual void | Assign (const OpalMediaOption &option)
const PString & | GetValue () const
void | SetValue (const PString &value)

## Protected Attributes

PString | m_value

## Constructor & Destructor Documentation

OpalMediaOptionString::OpalMediaOptionString | ( | const char * | name,
|  | bool | readOnly |
| ) |  |  |

OpalMediaOptionString::OpalMediaOptionString | ( | const char * | name,
|  | bool | readOnly,
|  | const PString & | value |
| ) |  |  |

## Member Function Documentation

virtual void OpalMediaOptionString::Assign | ( | const OpalMediaOption & | option | ) | `[virtual]`

Implements OpalMediaOption.

virtual PObject* OpalMediaOptionString::Clone | ( |  | ) | const`[virtual]`

virtual Comparison OpalMediaOptionString::CompareValue | ( | const OpalMediaOption & | option | ) | const`[virtual]`

Implements OpalMediaOption.

const PString& OpalMediaOptionString::GetValue | ( |  | ) | const`[inline]`

virtual bool OpalMediaOptionString::Merge | ( | const OpalMediaOption & | option | ) | `[virtual]`

Reimplemented from OpalMediaOption.

virtual void OpalMediaOptionString::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

virtual void OpalMediaOptionString::ReadFrom | ( | istream & | strm | ) | `[virtual]`

void OpalMediaOptionString::SetValue | ( | const PString & | value | ) |

## Field Documentation

PString OpalMediaOptionString::m_value `[protected]`

The documentation for this class was generated from the following file:

- mediafmt.h